
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

CONFIG_PPP_MPPE can be enabled without CONFIG_CRYPTO.
This results in this warning when running make modules_install:
if [ -r System.map -a -x /sbin/depmod ]; then /sbin/depmod -ae -F
System.map  2.6.12-rc4-mm2=LoulousMobile; fi
WARNING:
/lib/modules/2.6.12-rc4-mm2=LoulousMobile/kernel/drivers/net/ppp_mppe.ko
needs unknown symbol crypto_alloc_tfm
WARNING:
/lib/modules/2.6.12-rc4-mm2=LoulousMobile/kernel/drivers/net/ppp_mppe.ko
needs unknown symbol crypto_free_tfm

By the way, looking at drivers/net/ppp_mppe.c, it looks like sha1 and
arc4 are needed at runtime.

The attached patch selects all these when PPP_MPPE is selected.

Signed-off-by: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: Matt Domsch <Matt_Domsch@dell.com>
Cc: James Cameron <james.cameron@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/Kconfig |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/net/Kconfig~ppp_mppe-add-ppp-mppe-encryption-module-kconfig-fix drivers/net/Kconfig
--- 25/drivers/net/Kconfig~ppp_mppe-add-ppp-mppe-encryption-module-kconfig-fix	Mon May 16 14:08:21 2005
+++ 25-akpm/drivers/net/Kconfig	Mon May 16 14:08:21 2005
@@ -2431,6 +2431,9 @@ config PPP_BSDCOMP
 config PPP_MPPE
        tristate "PPP MPPE compression (encryption) (EXPERIMENTAL)"
        depends on PPP && EXPERIMENTAL
+       select CRYPTO
+       select CRYPTO_SHA1
+       select CRYPTO_ARC4
        ---help---
          Support for the MPPE Encryption protocol, as employed by the
 	 Microsoft Point-to-Point Tunneling Protocol.
_
